%define _prefix /opt/freeware

Summary: 	GNU libraries and utilities for producing multi-lingual messages.
Name: 		gettext
Version: 	0.17
Release:	2
License: 	GPLv3 and LGPLv2+
Group:		Development/Tools
URL: 		http://www.gnu.org/software/gettext/
Source: 	ftp://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
Patch0:		gettext-0.17-ltaix.patch
Patch1:		gettext-0.17-libintlsoversion.patch
Buildroot:	/var/tmp/%{name}-%{version}-root
AutoReqProv:	no

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%package devel
Summary: Development files for %{name}
Group: Development/Tools
License: LGPLv2+
Requires: %{name} = %{version}-%{release}

%description devel
This package contains all development related files necessary for
developing or compiling applications/libraries that needs
internationalization capability. You also need this package if you
want to add gettext support for your project.

%prep
%setup -q
# Fix an issue during make install, when libtool was trying to relink  
# with a lib which doesn't exist
%patch0 -p1 -b .ltaix
# Ugly patch to fix issue with rpm grep ... which are looking for libintl.so.1 only 
%patch1 -p1 -b .libintl

%build

./configure  --without-included-gettext --enable-nls --disable-static \
	     --enable-shared --with-pic=yes --disable-csharp \
	     --disable-java --disable-rpath --prefix=%{_prefix}

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# make links
cd  $RPM_BUILD_ROOT
for dir in bin lib include share
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if test -e %{_libdir}/libintl.a; then
	cp -p %{_libdir}/libintl.a %{_libdir}/libintl.a.savgettext
fi

%postun
if test -e %{_libdir}/libintl.a.savgettext; then
	cp -p %{_libdir}/libintl.a.savgettext %{_libdir}/libintl.a
fi

%files
%defattr(-,root,system)
%doc AUTHORS COPYING README
%doc NEWS THANKS
%{_bindir}/*
/usr/bin/*
%{_libdir}/*
/usr/lib/*
%{_datadir}/info/gettext*
%{_datadir}/man/man1/*
%{_datadir}/locale/*/LC_MESSAGES/gettext-*.mo
%{_datadir}/locale/locale.alias
%dir %{_datadir}/locale/en@boldquot
%dir %{_datadir}/locale/en@boldquot/LC_MESSAGES
%dir %{_datadir}/locale/en@quot
%dir %{_datadir}/locale/en@quot/LC_MESSAGES

%files devel
%defattr(-,root,system)
%{_includedir}/*.h
/usr/include/*.h
%{_datadir}/aclocal/*
%{_datadir}/%{name}/ABOUT-NLS
%{_datadir}/%{name}/projects/
%{_datadir}/%{name}/config.rpath
%{_datadir}/%{name}/*.h
%{_datadir}/%{name}/intl/
%{_datadir}/%{name}/po/
%{_datadir}/%{name}/msgunfmt.tcl
%{_datadir}/info/autosprintf.info
%{_datadir}/man/man3/*


%changelog
* Thu Apr 23 2009 Jean-noel Cordenner <jean-noel.cordenner@bull.net> 0.17-2
- add %pre and %postun scripts to preserve previous version of libintl.a

* Wed Mar 18 2009 Jean-noel Cordenner <jean-noel.cordenner@bull.net> 0.17
- port to AIX
